# GpgFrontend Project: src/ui/dialog/settings/SettingsAdvanced.h Source File

SettingsAdvanced.h
#ifndef GPGFRONTEND_SETTINGSADVANCED_H
#define GPGFRONTEND_SETTINGSADVANCED_H
#include "ui/GpgFrontendUI.h"
namespace GpgFrontend::UI {
class AdvancedTab : public QWidget {
Q_OBJECT
public:
explicit AdvancedTab(QWidget* parent = nullptr);
void SetSettings();
void ApplySettings();
private:
QCheckBox* stegano_check_box_;
QCheckBox* auto_pubkey_exchange_check_box_;
signals:
void SignalRestartNeeded(bool needed);
};
} // namespace GpgFrontend::UI
#endif // GPGFRONTEND_SETTINGSADVANCED_H
GpgFrontend::UI::AdvancedTab
Definition: SettingsAdvanced.h:35
GpgFrontend::UI
Definition: FileReadTask.cpp:29